summaryrefslogtreecommitdiff
path: root/app-forensics/aflplusplus/files/aflplusplus-3.14c-no-ignore-errors-makefile.patch
diff options
context:
space:
mode:
Diffstat (limited to 'app-forensics/aflplusplus/files/aflplusplus-3.14c-no-ignore-errors-makefile.patch')
-rw-r--r--app-forensics/aflplusplus/files/aflplusplus-3.14c-no-ignore-errors-makefile.patch62
1 files changed, 0 insertions, 62 deletions
diff --git a/app-forensics/aflplusplus/files/aflplusplus-3.14c-no-ignore-errors-makefile.patch b/app-forensics/aflplusplus/files/aflplusplus-3.14c-no-ignore-errors-makefile.patch
deleted file mode 100644
index 0b029396390c..000000000000
--- a/app-forensics/aflplusplus/files/aflplusplus-3.14c-no-ignore-errors-makefile.patch
+++ /dev/null
@@ -1,62 +0,0 @@
-https://bugs.gentoo.org/800941
-
---- a/GNUmakefile
-+++ b/GNUmakefile
-@@ -310,12 +310,12 @@ all: test_x86 test_shm test_python ready $(PROGS) afl-as llvm gcc_plugin test_bu
-
- .PHONY: llvm
- llvm:
-- -$(MAKE) -j -f GNUmakefile.llvm
-+ $(MAKE) -j -f GNUmakefile.llvm
- @test -e afl-cc || { echo "[-] Compiling afl-cc failed. You seem not to have a working compiler." ; exit 1; }
-
- .PHONY: gcc_plugin
- gcc_plugin:
-- -$(MAKE) -f GNUmakefile.gcc_plugin
-+ $(MAKE) -f GNUmakefile.gcc_plugin
-
- .PHONY: man
- man: $(MANPAGES)
-@@ -562,8 +562,8 @@ all_done: test_build
- .PHONY: clean
- clean:
- rm -f $(PROGS) libradamsa.so afl-fuzz-document afl-as as afl-g++ afl-clang afl-clang++ *.o src/*.o *~ a.out core core.[1-9][0-9]* *.stackdump .test .test1 .test2 test-instr .test-instr0 .test-instr1 afl-qemu-trace afl-gcc-fast afl-gcc-pass.so afl-g++-fast ld *.so *.8 test/unittests/*.o test/unittests/unit_maybe_alloc test/unittests/preallocable .afl-* afl-gcc afl-g++ afl-clang afl-clang++ test/unittests/unit_hash test/unittests/unit_rand
-- -$(MAKE) -f GNUmakefile.llvm clean
-- -$(MAKE) -f GNUmakefile.gcc_plugin clean
-+ $(MAKE) -f GNUmakefile.llvm clean
-+ $(MAKE) -f GNUmakefile.gcc_plugin clean
- $(MAKE) -C utils/libdislocator clean
- $(MAKE) -C utils/libtokencap clean
- $(MAKE) -C utils/aflpp_driver clean
-@@ -618,8 +618,8 @@ binary-only: test_shm test_python ready $(PROGS)
-
- .PHONY: source-only
- source-only: all
-- -$(MAKE) -j -f GNUmakefile.llvm
-- -$(MAKE) -f GNUmakefile.gcc_plugin
-+ $(MAKE) -j -f GNUmakefile.llvm
-+ $(MAKE) -f GNUmakefile.gcc_plugin
- $(MAKE) -C utils/libdislocator
- $(MAKE) -C utils/libtokencap
-
-@@ -661,8 +661,8 @@ install: all $(MANPAGES)
- @if [ -f utils/afl_network_proxy/afl-network-server ]; then $(MAKE) -C utils/afl_network_proxy install; fi
- @if [ -f utils/aflpp_driver/libAFLDriver.a ]; then set -e; install -m 644 utils/aflpp_driver/libAFLDriver.a $${DESTDIR}$(HELPER_PATH); fi
- @if [ -f utils/aflpp_driver/libAFLQemuDriver.a ]; then set -e; install -m 644 utils/aflpp_driver/libAFLQemuDriver.a $${DESTDIR}$(HELPER_PATH); fi
-- -$(MAKE) -f GNUmakefile.llvm install
-- -$(MAKE) -f GNUmakefile.gcc_plugin install
-+ $(MAKE) -f GNUmakefile.llvm install
-+ $(MAKE) -f GNUmakefile.gcc_plugin install
- ln -sf afl-cc $${DESTDIR}$(BIN_PATH)/afl-gcc
- ln -sf afl-cc $${DESTDIR}$(BIN_PATH)/afl-g++
- ln -sf afl-cc $${DESTDIR}$(BIN_PATH)/afl-clang
---- a/GNUmakefile.llvm
-+++ b/GNUmakefile.llvm
-@@ -460,6 +460,7 @@ document:
- test_build: $(PROGS)
- @echo "[*] Testing the CC wrapper and instrumentation output..."
- unset AFL_USE_ASAN AFL_USE_MSAN AFL_INST_RATIO; ASAN_OPTIONS=detect_leaks=0 AFL_QUIET=1 AFL_PATH=. AFL_LLVM_LAF_ALL=1 ./afl-cc $(CFLAGS) $(CPPFLAGS) ./test-instr.c -o test-instr $(LDFLAGS)
-+ @test -e test-instr || { echo "[-] Testing CC wrapper failed. You seem not to have a working compiler." ; exit 1; }
- ASAN_OPTIONS=detect_leaks=0 ./afl-showmap -m none -q -o .test-instr0 ./test-instr < /dev/null
- echo 1 | ASAN_OPTIONS=detect_leaks=0 ./afl-showmap -m none -q -o .test-instr1 ./test-instr
- @rm -f test-instr